## ros-melodic-csm 1.0.2

=== website/Makefile ===

all: source/*
	maruku source/index.md
	cp source/*  output

=== sm/apps/gtk_viewer/Makefile ===

all_targets=gtk_viewer1

all: $(all_targets) 

GOO_FLAGS=-I/usr/local/include/goocanvas-1.0/ -lgoocanvas
GTK_FLAGS=`pkg-config --libs --cflags gtk+-2.0 gthread-2.0`
CSM_FLAGS=`pkg-config --libs --cflags csm`

FLAGS=$(GTK_FLAGS) $(GOO_FLAGS) $(CSM_FLAGS) -Wno-long-double -O3
%: %.c goo_laser_data.c
	gcc -g $(FLAGS) -o $@ $^


clean:
	rm $(all_targets)

=== sm/apps/qtv/CMakeLists.txt ===
project(qtv)

macro(join ret list)
	SET(res "")
	FOREACH(e ${list})
		SET(res "${res} ${e}")
	ENDFOREACH(e ${list})
	SET(${ret} ${res})
endmacro(join list)


set(QT_USE_QTOPENGL 1)
find_package(Qt4 REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(CSM REQUIRED csm)

#join(CSM_LDFLAGS "${CSM_LDFLAGS}")
join(CSM_CFLAGS "${CSM_CFLAGS}")

MESSAGE("CSM_CFLAGS: ${CSM_CFLAGS}")
MESSAGE("CSM_LDFLAGS: ${CSM_LDFLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CSM_CFLAGS}")
SET(LDFLAGS ${CSM_LDFLAGS})


include(${QT_USE_FILE})

# the variable "qtproject_SRCS" contains all .cpp files of this project
set(qtv_SRCS
    qtv.cpp
    mouse.cpp
	qlaserdata.cpp
	qfilereader.cpp
	qparser.cpp
	qscene.cpp
	qmapview.cpp
)

qt4_automoc(${qtv_SRCS})

add_executable(qtv ${qtv_SRCS})

target_link_libraries(qtv ${QT_LIBRARIES})
target_link_libraries(qtv ${CSM_LDFLAGS})

=== sm/apps/raytracer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

project(raytracer)


find_package(PkgConfig REQUIRED)
pkg_check_modules(CSM REQUIRED csm)

IF(${CSM_FOUND})
	MESSAGE("CSM_LIBRARY_DIRS: ${CSM_LIBRARY_DIRS}")
	MESSAGE("CSM_LIBRARIES: ${CSM_LIBRARIES}")
	MESSAGE("CSM_INCLUDE_DIRS: ${CSM_INCLUDE_DIRS}")

	INCLUDE_DIRECTORIES(${CSM_INCLUDE_DIRS})
	LINK_DIRECTORIES(${CSM_LIBRARY_DIRS})

ELSE(${CSM_FOUND})	
	MESSAGE(FATAL_ERROR "CSM not found. Check that the environment variable PKG_CONFIG_PATH includes the path containing the file 'csm.pc'.")
ENDIF(${CSM_FOUND})		


set(raytracer_SRCS
	raytracer.cpp
	simplemap.cpp
)


SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ggdb -Wall")

add_executable(raytracer ${raytracer_SRCS})

target_link_libraries(raytracer ${CSM_LIBRARIES})

=== debian/changelog ===
ros-melodic-csm (1.0.2-2stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Wed, 03 Jun 2020 09:39:03 -0000

=== debian/control ===
Source: ros-melodic-csm
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), cmake, libgsl-dev
Homepage: http://censi.mit.edu/software/csm
Standards-Version: 3.9.2

Package: ros-melodic-csm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsl-dev, ros-melodic-catkin
Description: This is a ROS 3rd-party wrapper (see REP-136 for more detail) of Andrea Censi's CSM package.
 From the official website: The C(anonical) Scan Matcher (CSM) is a pure C implementation of a very fast variation of ICP using a point-to-line metric optimized for range-finder scan matching. It is robust enough to be used in industrial prototypes of autonomous mobile robotics, for example at Kuka. CSM is used by a variety of people, though it is hard to keep track because of the open source distribution, especially as packaged in ROS. If you use this software for something cool, let me know.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-csm//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
